List Invoices
curl --request GET \
--url https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/invoices \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/invoices"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "in_1ABC123DEF456GHI",
"amount": 10000,
"currency": "usd",
"status": "paid",
"number": "GJXQAHMC-0001",
"customer": {
"id": "cus_ABC123XYZ",
"email": "customer@example.com",
"name": "John Doe"
},
"description": "",
"created": 1700000000
}
],
"has_more": false,
"next_cursor": null
}{
"error": "An unexpected error occurred"
}Invoices
List Invoices
Retrieve a list of invoices for a connected account.
GET
/
stripe
/
connect
/
accounts
/
{accountId}
/
invoices
List Invoices
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The Stripe connected account ID
Query Parameters
Filter invoices by status.
Available options:
draft, open, paid, void, uncollectible Filter by Stripe customer ID.
Filter by created date start (unix timestamp, seconds).
Filter by created date end (unix timestamp, seconds).
Max number of invoices to return (1-100). Defaults to 50.
Required range:
1 <= x <= 100Pagination cursor (returns results after this ID).
